Bug 455126 - Background image incomplete on 2nd display with xrandr
Background image incomplete on 2nd display with xrandr
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-12 08:11 EDT by Vasile Gaburici
Modified: 2009-07-14 14:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:09:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (129.11 KB, image/png)
2008-07-12 08:11 EDT, Vasile Gaburici
no flags Details
Xorg.0.log (71.61 KB, text/plain)
2008-07-17 08:53 EDT, Vasile Gaburici
no flags Details
Xorg.1.log (48.75 KB, text/plain)
2008-07-17 08:54 EDT, Vasile Gaburici
no flags Details
Xorg.2.log (40.51 KB, text/plain)
2008-07-17 08:54 EDT, Vasile Gaburici
no flags Details
Xorg.0.log (397.39 KB, text/plain)
2009-04-23 17:21 EDT, Eric Sandall
no flags Details
xorg.conf (5.39 KB, text/plain)
2009-04-23 17:21 EDT, Eric Sandall
no flags Details

  None (edit)
Description Vasile Gaburici 2008-07-12 08:11:50 EDT
Description of problem:

If I extend the desktop to another monitor, then *any* background image ends
before the 2nd monitor does. Just to make sure it's not a problem with the
image, I used solid color.

Version-Release number of selected component (if applicable):

compiz-0.7.6-2.fc9.i386

How reproducible:

This is my xorg.conf file; I only added the virtual screen (max) size:

# Xorg configuration created by pyxf86config

Section "ServerLayout"
	Identifier     "Default Layout"
	Screen      0  "Screen0" 0 0
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "InputDevice"
# keyboard added by rhpxl
	Identifier  "Keyboard0"
	Driver      "kbd"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "us"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "radeon"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
		Virtual   2560 1024  # vga: support dual-head 
	EndSubSection
EndSection

This is what xrandr says:

Screen 0: minimum 320 x 200, current 2560 x 960, maximum 2560 x 1024
VGA-0 connected 1280x960+1280+0 (normal left inverted right x axis y axis) 312mm
x 234mm
   1024x768       85.0 +   85.0     85.0     75.1     75.0     70.1     60.0   
 43.5  
   1280x1024      85.0     85.0     75.0     60.0  
   1280x960       85.0*    60.0  
   1152x864       75.0  
   832x624        74.6  
   800x600        85.0     85.1     72.2     75.0     60.3     56.2  
   640x480        85.0     85.0     75.0     72.8     72.8     75.0     66.7   
 60.0     59.9     60.0  
   720x400        87.8     85.0     70.1  
   640x400        85.1  
   640x350        85.1  
LVDS connected 1280x800+0+0 (normal left inverted right x axis y axis) 330mm x 210mm
   1280x800       60.1*+
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  
S-video disconnected (normal left inverted right x axis y axis)

I'm attaching a screenshot.

Additional info:

The problem seems to be with compiz because the are w/o background stores
whatever was on it last time. In the screenshot it looks that way after a couple
of desktop switches (using wall plugin).
Comment 1 Vasile Gaburici 2008-07-12 08:11:50 EDT
Created attachment 311641 [details]
Screenshot
Comment 2 Matěj Cepl 2008-07-15 19:33:40 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server log file (/var/log/Xorg.*.log) to the bug report as
individual uncompressed file attachment using the bugzilla file attachment link
below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Vasile Gaburici 2008-07-17 08:53:39 EDT
Created attachment 312045 [details]
Xorg.0.log
Comment 4 Vasile Gaburici 2008-07-17 08:54:09 EDT
Created attachment 312046 [details]
Xorg.1.log
Comment 5 Vasile Gaburici 2008-07-17 08:54:42 EDT
Created attachment 312047 [details]
Xorg.2.log
Comment 6 Eric Sandall 2009-04-23 17:18:44 EDT
I believe this is an upstream bug as I have this issue on a non-RH/Fedora machine:

$ cat /etc/sourcemage-release 
Source Mage GNU/Linux 0.9.6.3 i486-pc-linux-gnu
Installed from CD using installer v. 0.9.6.3 on Wed Jan  9 04:46:16 PST 2008

$ xrandr -q
Screen 0: minimum 320 x 200, current 2560 x 1024, maximum 2560 x 1024
VGA-0 connected 1280x1024+1280+0 (normal left inverted right x axis y axis) 376mm x 301mm
   1280x1024      60.0 +   75.0*    60.0  
   1152x864       75.0  
   1024x768       75.0     60.0  
   800x600        75.0     60.3  
   640x480        75.0     59.9  
   720x400        70.1  
DVI-0 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 376mm x 301mm
   1280x1024      60.0 +   75.0*    60.0  
   1152x864       75.0  
   1024x768       75.0     60.0  
   800x600        75.0     60.3  
   640x480        75.0     59.9  
   720x400        70.1  
S-video disconnected (normal left inverted right x axis y axis)

Versions:
xf86-video-ati 6.12.2
xorg-server 1.6.1
xrandr 1.3.0
compiz 0.8.2

This only happens with compiz. Before enabling compiz my background image spread accross both screens without issue.

Steps to reproduce:
1. Setup dual-head screens
2. Set background to span both screens
3. Verify background spans both screens
4. Enable compiz
compiz --replace --indirect-rendering ccp &
emerald --replace &
5. Verify background is now cutoff (though it still displays as though it fills the entire screen, so we are now missing a portion of the image, rather than having the image shrink) and that this portion of the screen no longer updates when you move a window away (a ghost of the window is still in this "void", until another window overlaps it), but windows will display in the entirety of both screens.
Comment 7 Eric Sandall 2009-04-23 17:21:10 EDT
Created attachment 341019 [details]
Xorg.0.log

Here's my Xorg.0.log with compiz enabled and the background being cutoff in the last third of the second screen.
Comment 8 Eric Sandall 2009-04-23 17:21:44 EDT
Created attachment 341020 [details]
xorg.conf

Here's my xorg.conf.
Comment 9 Bug Zapper 2009-06-09 22:03:43 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 14:09:59 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.